|
Menu location |
---|
Modification → Array tools → Point array Modify → Point array |
Workbenches |
Draft, BIM |
Default shortcut |
None |
Introduced in version |
0.18 |
See also |
Draft OrthoArray, Draft PolarArray, Draft CircularArray, Draft PathArray, Draft PathLinkArray, Draft PointLinkArray |
Описание
The Draft PointArray command creates a regular array from a selected base object by placing copies at the points from a point object. Use the Draft PointLinkArray command to create a more efficient Link array instead. Except for the type of array that is created, Link array or regular array, the Draft PointLinkArray command is identical to this command.
The base object can be a 2D object created with the Draft Workbench or Sketcher Workbench, but also a 3D object such as those created with the Part Workbench, PartDesign Workbench or BIM Workbench.
The point object can be any object with a shape and vertices (including a Std Part containing one or more of such objects), as well as a mesh and a point cloud. Duplicate points in the point object are filtered out.
Draft PointArray
Применение
- Select the object you wish to array.
- Add the point object to the selection.
- There are several ways to invoke the command:
- Press the
Point array button.
- Draft: Select the Modification → Array tools →
Point array option from the menu.
- BIM: Select the Modify →
Point array option from the menu.
- Press the
- The array is created.
- Optionally change the properties of the array in the Property editor.
Notes
- Fused Link arrays are not displayed properly, in the 3D view their elements always appear unfused.
Свойства
See also: Property editor.
A Draft PointArray object is derived from a Part Feature object and inherits all its properties (with the exception of some View properties that are not inherited by Link arrays). The following properties are additional unless otherwise stated:
Данные
Link
The properties in this group are only available for Link arrays. See Std LinkMake for more information.
- ДанныеScale (
Float
) - Данные (Hidden)Scale Vector (
Vector
) - ДанныеScale List (
VectorList
) - Данные (Hidden)Visibility List (
BoolList
) - Данные (Hidden)Placement List (
PlacementList
) - Данные (Hidden)Element List (
LinkList
) - Данные (Hidden)_ Link Touched (
Bool
) - Данные (Hidden)_ Child Cache (
LinkList
) - Данные (Hidden)_ Link Owner (
Integer
) - Данные (Hidden)Colored Elements (
LinkSubHidden
) - ДанныеLink Copy On Change (
Enumeration
) - ДанныеLink Transform (
Bool
)
Draft
- ДанныеAlways Sync Placement (
Bool
)
Objects
- ДанныеBase (
Link
): specifies the object to duplicate in the array. - ДанныеCount (
Integer
): (read-only) specifies the number of elements in the array. This number is determined by the number of points in the ДанныеPoint Object. - ДанныеExpand Array (
Bool
): specifies whether to expand the array in the Tree view to enable the selection of its individual elements. Only available for Link arrays. - ДанныеExtra Placement (
Placement
): : specifies an additional placement, translation and rotation, for each element in the array. - ДанныеFuse (
Bool
): specifies if overlapping elements in the array are fused or not. introduced in 1.0 - ДанныеPlacement List (
PlacementList
): the placement for each element. Appears in the Link group for Link arrays. introduced in 1.1 - ДанныеPoint Object (
Link
): specifies the object whose points are used to position the elements in the array.
Вид
Link
The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.
- ВидDraw Style (
Enumeration
) - ВидLine Width (
FloatConstraint
) - ВидOverride Material (
Bool
) - ВидPoint Size (
FloatConstraint
) - ВидSelectable (
Bool
): this is an inherited property that appears in the Selection group for other arrays - ВидShape Material (
Material
)
Основные
The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.
- Вид (Hidden)Child View Provider (
PersistentObject
) - Вид (Hidden)Material List (
MaterialList
) - Вид (Hidden)Override Color List (
ColorList
) - Вид (Hidden)Override Material List (
BoolList
) - Вид (Hidden)Proxy (
PythonObject
): this is an inherited property.
Display Options
The properties in this group are inherited properties. See Part Feature for more information.
- ВидBounding Box (
Bool
): this property is not inherited by Link arrays. - ВидDisplay Mode (
Enumeration
): for Link arrays it can beLink
orChildView
. For other arrays it can be:Flat Lines
,Shaded
,Wireframe
orPoints
- ВидShow In Tree (
Bool
) - ВидVisibility (
Bool
)
Draft
- ВидPattern (
Enumeration
): not used. - ВидPattern Size (
Float
): not used.
Object style
The properties in this group are not inherited by Link arrays.
Программирование
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a point array use the make_point_array
method (introduced in 0.19) of the Draft module. This method replaces the deprecated makePointArray
method.
point_array = make_point_array(base_object, point_object, extra=None, use_link=True)
base_object
is the object to be arrayed. It can also be theLabel
(string) of an object in the current document.point_object
is the object containing the points. It can also be theLabel
(string) of an object in the current document. It should have aGeometry
,Links
, orComponents
property containing points.extra
is anApp.Placement
, anApp.Vector
or anApp.Rotation
that displaces each element.- If
use_link
isTrue
the created elements are App Links instead of regular copies.
Пример:
import FreeCAD as App
import Draft
doc = App.newDocument()
polygon = Draft.make_polygon(3, radius=500.0)
p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))
compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]
point_array = Draft.make_point_array(polygon, compound)
doc.recompute()
Эта страница получена от https://wiki.freecad.org/Draft_PointArray